Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText Class Reference

Configuration parser handling RichText field type related config. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText:

## Public Member Functions
| getFieldTypeIdentifier ()
| Returns the fieldType identifier the config parser works for. More...
| addFieldTypeSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...

## Protected Member Functions
| getTemplateNodeDefinition ($info, $example)

## Private Member Functions
| validateCustomTagsConfiguration (ContainerInterface $container, array $enabledCustomTags)
| Validate SiteAccess-defined Custom Tags configuration against global one. More...
| validateCustomStylesConfiguration (ContainerInterface $container, array $enabledCustomStyles)
| Validate SiteAccess-defined Custom Styles configuration against global one. More...
| setupDeprecatedConfiguration (NodeBuilder $nodeBuilder)
| Add BC setup for deprecated configuration. More...

## Detailed Description

Configuration parser handling RichText field type related config.

Definition at line 20 of file RichText.php.

## Member Function Documentation

## ◆ addFieldTypeSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::addFieldTypeSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface.

Definition at line 38 of file RichText.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\getTemplateNodeDefinition(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\setupDeprecatedConfiguration().

## ◆ getFieldTypeIdentifier()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::getFieldTypeIdentifier | ( |  | ) |

Returns the fieldType identifier the config parser works for.

This is to create the right configuration node under system.<siteaccess_name>.fieldtypes.

Returns
  string

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface.

Definition at line 28 of file RichText.php.

## ◆ getTemplateNodeDefinition()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::getTemplateNodeDefinition | ( |  | $info,
|  |  | $example
| ) |  |
| protected

Parameters

  string | $info |
  string | $example |

Returns
  \Symfony\Component\Config\Definition\Builder\ScalarNodeDefinition

Definition at line 183 of file RichText.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\addFieldTypeSemanticConfig(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\setupDeprecatedConfiguration().

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::mapConfig | ( | array & | $scopeSettings,
|  |  | $currentScope,
|  | ContextualizerInterface | $contextualizer
| ) |  |

Does semantic config to internal container parameters mapping for $currentScope.

This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global").

Parameters

  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface.

Definition at line 195 of file RichText.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\getContainer(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\setContextualParameter(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\validateCustomStylesConfiguration(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\validateCustomTagsConfiguration().

## ◆ postMap()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::postMap | ( | array | $config,
|  | ContextualizerInterface | $contextualizer
| ) |  |

This method is called by the ConfigurationProcessor after looping over available scopes.

You may here use $contextualizer->mapConfigArray().

See also
  ConfigurationProcessor::mapConfig()
  ContextualizerInterface::mapConfigArray()

Parameters

  array | $config | Complete parsed semantic configuration
  ContextualizerInterface | $contextualizer |

Returns
  mixed

Reimplemented from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser.

Definition at line 259 of file RichText.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\mapConfigArray().

## ◆ setupDeprecatedConfiguration()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::setupDeprecatedConfiguration | ( | NodeBuilder | $nodeBuilder | ) |
| private

Add BC setup for deprecated configuration.

Note: kept in separate method for readability.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder |

Definition at line 317 of file RichText.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\getTemplateNodeDefinition().

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\addFieldTypeSemanticConfig().

## ◆ validateCustomStylesConfiguration()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::validateCustomStylesConfiguration | ( | ContainerInterface | $container,
|  | array | $enabledCustomStyles
| ) |  |
| private

Validate SiteAccess-defined Custom Styles configuration against global one.

Parameters

  \Symfony\Component\DependencyInjection\ContainerInterface | $container |
  array | $enabledCustomStyles | List of Custom Styles enabled for the current scope/SiteAccess

Definition at line 294 of file RichText.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\EzPublishCoreExtension\RICHTEXT_CUSTOM_STYLES_PARAMETER.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\mapConfig().

## ◆ validateCustomTagsConfiguration()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText::validateCustomTagsConfiguration | ( | ContainerInterface | $container,
|  | array | $enabledCustomTags
| ) |  |
| private

Validate SiteAccess-defined Custom Tags configuration against global one.

Parameters

  \Symfony\Component\DependencyInjection\ContainerInterface | $container |
  array | $enabledCustomTags | List of Custom Tags enabled for the current scope/SiteAccess

Definition at line 272 of file RichText.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\EzPublishCoreExtension\RICHTEXT_CUSTOM_TAGS_PARAMETER.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText\mapConfig().

The documentation for this class was generated from the following file:

- RichText.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.